import { Camera3D } from 'godot'
import MessageBus from './message_bus'

export default class MainCamera extends Camera3D {
  private static _instance: MainCamera

  static get instance() {
    return MainCamera._instance
  }

  _ready(): void {
    MainCamera._instance = this
    MessageBus.instance.active_camera_changed.emit(this)
  }
}
